Get All Card Users
curl --request GET \
--url https://sandbox.getmipay.com/api/virtual-cards/action/card/user \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.getmipay.com/api/virtual-cards/action/card/user"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.getmipay.com/api/virtual-cards/action/card/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"users": [
{
"success": true,
"message": "Virtual card user created successfully",
"data": {
"id": 12,
"merchant_id": 3,
"reference": "SP6A9F21D0VC",
"first_name": "Alex",
"last_name": "Moris",
"email": "alex.moris@example.com",
"contact": "690112233",
"dob": "1994-03-21T00:00:00.000000Z",
"country_code": "237",
"billing_name": "Alex Moris",
"is_business": false,
"business_name": null,
"billing_address": "Carrefour Bastos",
"billing_city": "Yaoundé",
"billing_country": "CM",
"billing_state": "Centre",
"billing_postal_code": "00123",
"id_number": "CNI004829191",
"status": "active",
"created_at": "2025-10-02T12:45:30.000000Z",
"updated_at": "2025-10-02T12:45:30.000000Z"
}
}
],
"total_count": 5
}
}{
"success": false,
"message": "Invalid KEY",
"error_code": "INVALID_PUBLIC_KEY"
}Virtual Cards
Get All Users
Retrieve list of all virtual card users
GET
/
virtual-cards
/
action
/
card
/
user
Get All Card Users
⌘I
